get
https://api.accelevents.com/rest/host/session/analytics
- API used at host side event admin, super admin, and organizer admin can access this API.
- This API will return all session's data like session start time, end time,
session title registered user count, Average Attended Duration, recording views. - We need to pass an authorization token here, which is generated after
successful login into the account.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
| Attributes | Description |
|---|---|
| Session Id | Unique session Id of the event for getting session details |
| Title | Session Name |
| Start Time | It is a session start time when the session will begin |
| End Time | It is a session end time when the session will be finished |
| Registered User Count | It is the number of attendees who registered/Bookmark the session |
| Attendee Count | it is the number of attendees who are joined the session |
| Duration | It is video duration for Youtube, Vimeo, Voxeet, TokBox etc sessions.
|
| Avg Attended Duration | It is the average watch time for attendees who will spend time on watch video |
| Recording Views | It is the number of attendees who will watch recorded Session.
|
| Live Views | It is the number of attendees who watch Live Session
|
Note : Currently We can not provide Analytics data for Zoom, Facebook, Wistia stream providers so Average attended duration, Live/Recording views will be not available.
- Here are the different types of expand query parameters.
| Expand | Description |
|---|---|
| Duration | It is video duration for Youtube, Vimeo, Voxeet, TokBox etc sessions |
| Watch Time | It will return the event's video watch time per session |
- Here are the possible error messages that return if any condition fails or required data is missing for processing.
| Error Code | Description |
|---|---|
| 200 | Ok |
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource |
| 403 | Accessing the resource you were trying to reach is forbidden |
| 404 | The resource you were trying to reach is not found |
| 4030201 | Not Event Host |
| 4040200 | Event Not Found |